//+------------------------------------------------------------------+
//|                                                 5dayBreakout.mq4 |
//|                                                        Bill Sica |
//|                                         http://www.tetsuyama.com |
//+------------------------------------------------------------------+
#property copyright "Bill Sica"
#property link      "http://www.tetsuyama.com"
#property indicator_chart_window
//---- input parameters
extern string    AddToObjName="1";
extern int       DAYS1=5;
extern color  theColorUp      = Lime;
extern color  theColorDn      = Red;
extern int    WidthUp         = 3;
extern int    WidthDn         = 3;
extern int UpStyle            = 0;
extern int DnStyle              = 0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double daily_high[20];
   double daily_low[20];
   double yesterday_close;
   double phigh,plow;
   int i=1;
//---- TODO: add your code here
   ArrayResize(daily_high,DAYS1);
   ArrayResize(daily_low,DAYS1);
   
   
   ArrayInitialize(daily_high,0);
   ArrayInitialize(daily_low,0);
   ArrayCopySeries(daily_low, MODE_LOW, Symbol(), PERIOD_D1);
   ArrayCopySeries(daily_high, MODE_HIGH, Symbol(), PERIOD_D1);
/* initialise */
   plow=daily_low[1];
   phigh=daily_high[1];
//----
   for(i=1;i<DAYS1;i++)
     {
      if(plow>daily_low[i])
        {
         plow =daily_low[i];
        }
     }
   for(i=1;i<DAYS1;i++)
     {
      if(phigh<daily_high[i])
        {
         phigh =daily_high[i];
        }
     }
   Comment("\dayH ",phigh,"\dayL ",plow);
   //----
   ObjectDelete("dayHigh");
   ObjectDelete("dayLow");
   ObjectCreate("dayHigh", OBJ_HLINE,0, CurTime(),phigh);
   ObjectSet("dayHigh",OBJPROP_COLOR,theColorUp);
   ObjectSet("dayHigh",OBJPROP_STYLE,UpStyle);
   ObjectSet("dayHigh",OBJPROP_WIDTH,WidthUp);
   ObjectCreate("dayLow", OBJ_HLINE,0, CurTime(),plow);
   ObjectSet("dayLow",OBJPROP_COLOR,theColorDn);
   ObjectSet("dayLow",OBJPROP_STYLE,DnStyle);
   ObjectSet("dayLow",OBJPROP_WIDTH,WidthDn);
   //----
   ObjectsRedraw();
    return(0);
    
  }
//+------------------------------------------------------------------

